★ TouchArcade needs your help. Click here to support us on Patreon.

Games we're all waiting for, think they'll require itouch 3rd gen?

08-04-2009, 12:16 PM
#1
Joined: Jul 2009
Posts: 812
Games we're all waiting for, think they'll require itouch 3rd gen?

As we know, there's a high probability of a new itouch coming in september. Does anyone else feel like all these new games coming out in Fall will require 2nd gen users to buy a 3rd gen?

On a side note, that Modern Combat: Sandstorm game looked awesomeeeeeeeeeeee

Gamertag - dominator246

Last edited by dominator246; 08-04-2009 at 12:19 PM.
08-04-2009, 12:19 PM
#2
Joined: Jul 2009
Location: Behind You!
Posts: 862
Of course not! If we do then it'll be stupid because not everyone can upgrade their device.

Add me on Game Center: weisome
Beta Tested: America's Next Top Model, Earth Vs Moon, iPlutoid, Minigore, Ground Effect, GeoSpin, Contre Jour

08-04-2009, 12:22 PM
#3
Joined: Jul 2009
Posts: 94
why not just get the iphone 3gs?
08-04-2009, 12:22 PM
#4
Joined: Jun 2009
Location: California
Posts: 1,506
apple is sure keeping on the DL about the new touch. i dont even think theres going to be a 3rd gen
08-04-2009, 12:25 PM
#5
Joined: Apr 2009
Location: 31.560499, -111.904128
Posts: 7,471
No.
I'm guessing this thread is based on that comment from that idiot who said that Modern Combat: Sandstorm will require a 3rd gen touch.
Sorry but this is a pretty stupid thread.

Hakuna Matata
08-04-2009, 12:26 PM
#6
Joined: May 2009
Posts: 4,461
Quote:
Originally Posted by LBG View Post
No.
I'm guessing this thread is based on that comment from that idiot who said that Modern Combat: Sandstorm will require a 3rd gen touch.
Sorry but this is a pretty stupid thread.
The guy that made that comment also made this thread lol
08-04-2009, 12:30 PM
#7
Joined: Feb 2009
Location: San Francisco, California
Posts: 5,305
Quote:
Originally Posted by jt09 View Post
why not just get the iphone 3gs?
Because not everyone wants to become part of the the AT&T evil empire of mediocrity, poor reception and dropped calls.
08-04-2009, 12:33 PM
#8
Joined: May 2009
Posts: 3,839
Quote:
Originally Posted by LBG View Post
No.
I'm guessing this thread is based on that comment from that idiot who said that Modern Combat: Sandstorm will require a 3rd gen touch.
Sorry but this is a pretty stupid thread.
Are you referring to my reply ?

Last edited by ultimo; 08-04-2009 at 12:42 PM. Reason: added the link to make LBG's life more lazy
08-04-2009, 12:43 PM
#9
Joined: May 2009
Location: at my computer?
Posts: 505
Quote:
Originally Posted by jt09 View Post
why not just get the iphone 3gs?
because not everyone can afford a $600 phone and then $100 a month. My ipod Touch 2nd gen along with my "regular" cell phone that i'm only paying $40 a month, works just fine for me.

Games I'm Playing: Doom Classic, Red Conquest!, Battle for Wesnoth, Land Air Sea Warfare (my favorite rts, buy it today!)
08-04-2009, 12:44 PM
#10
Joined: Jul 2009
Posts: 812
No I think it's me, takes one to know one though right? If you really don't think Apple will have exclusives to the itouch 3rd gen, they your a fool. Just like Rolando 2 requiring most people to upgrade to 3.0. It's the same concept. Some new games will require people to make the jump from 2nd gen to 3rd gen. It's only common sense, otherwise people wouldn't be near as compelled to buy it.

Gamertag - dominator246